Paycose Docs
Application
PATCH/applications/{application_id}

Update

Update an application by ID. All fields optional — only provided fields are applied.

Body — 1:1 with UpdateApplicationDTO (app/handlers/v1/application/request.go):

FieldTypeNotes
display_namestring
descriptionstring

Requires: Bearer token. User must own the application.

Request

Example

curl -X PATCH 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{application_id}}/' \
  -H 'X-Session-Token: {{session_token}}' \
  -d '{
  "display_name": "SEO Crown By Lodash (Thailand)",
  "description": "Unlock the full potential of your website with SEOCROWN’s cutting-edge optimization tools. Drive organic traffic, enhance visibility, and stay ahead of the competition.",
  "business_profile": {
    "headline": "<string>",
    "privacy_policy_url": "<string>",
    "terms_of_service_url": "<string>",
    "legal_name": "<string>",
    "tax_id": "<string>",
    "tax_branch": "<string>",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>"
    },
    "website": "<string>",
    "support_email": "<string>",
    "support_phone": "<string>",
    "logo_file_id": "<string>",
    "bank_transfer": {
      "bank_name": "<string>",
      "account_name": "<string>",
      "account_number": "<string>",
      "promptpay_id": "<string>",
      "note": "<string>"
    },
    "document_footer": "<string>"
  }
}'

Headers

NameValue
X-Session-Token{{session_token}}

Body

NameTypeValue
display_namestringSEO Crown By Lodash (Thailand)
descriptionstringUnlock the full potential of your website with SEOCROWN’s cu…
business_profileobject{…}
{
  "display_name": "SEO Crown By Lodash (Thailand)",
  "description": "Unlock the full potential of your website with SEOCROWN’s cutting-edge optimization tools. Drive organic traffic, enhance visibility, and stay ahead of the competition.",
  "business_profile": {
    "headline": "<string>",
    "privacy_policy_url": "<string>",
    "terms_of_service_url": "<string>",
    "legal_name": "<string>",
    "tax_id": "<string>",
    "tax_branch": "<string>",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>"
    },
    "website": "<string>",
    "support_email": "<string>",
    "support_phone": "<string>",
    "logo_file_id": "<string>",
    "bank_transfer": {
      "bank_name": "<string>",
      "account_name": "<string>",
      "account_number": "<string>",
      "promptpay_id": "<string>",
      "note": "<string>"
    },
    "document_footer": "<string>"
  }
}

Responses

200200

Headers

NameValue
DateMon, 29 Jun 2026 02:56:05 GMT
Content-Typeapplication/json
Content-Length663
VaryOrigin
X-Request-Id491dbaff-1018-49ac-ac7d-7464836032b1

Body

{
    "id": "6a868a89-e9e5-4e1a-8e29-6681e4024bca",
    "object": "application",
    "created_at": "2026-06-29T02:55:24.892849Z",
    "updated_at": "2026-06-29T02:56:06.53269382Z",
    "deleted_at": null,
    "display_name": "SEO Crown By Lodash (Thailand)",
    "description": "Unlock the full potential of your website with SEOCROWN’s cutting-edge optimization tools. Drive organic traffic, enhance visibility, and stay ahead of the competition.",
    "status": "active",
    "lodash_owned": false
}

On this page